From d5f226c0542c1524ef62fa80ae9fef9d5513e685 Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat@enterprisedb.com>
Date: Mon, 8 Jan 2024 16:22:23 +0530
Subject: [PATCH 13/27] Fix output in modules/test_ddl_deparse/

ALTER TABLE ... ALTER COLUMN ... ADD/SET/DROP IDENTITY commands need to
recurse into partition hierarchy. Hence they are marked to recurse when
ONLY is not specified. Change the expected output for the same.

Please note that in case of regular inheritance the commands won't
recurse down the inheritance tree whether or not ONLY is specified. This
is the same as the earlier behaviour.

Ashutosh Bapat
---
 src/test/modules/test_ddl_deparse/expected/alter_table.out | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/test/modules/test_ddl_deparse/expected/alter_table.out b/src/test/modules/test_ddl_deparse/expected/alter_table.out
index ecde9d7422..b5e71af9aa 100644
--- a/src/test/modules/test_ddl_deparse/expected/alter_table.out
+++ b/src/test/modules/test_ddl_deparse/expected/alter_table.out
@@ -74,14 +74,14 @@ ALTER TABLE parent ALTER COLUMN a ADD GENERATED ALWAYS AS IDENTITY;
 NOTICE:  DDL test: type simple, tag CREATE SEQUENCE
 NOTICE:  DDL test: type simple, tag ALTER SEQUENCE
 NOTICE:  DDL test: type alter table, tag ALTER TABLE
-NOTICE:    subcommand: type ADD IDENTITY desc column a of table parent
+NOTICE:    subcommand: type ADD IDENTITY (and recurse) desc column a of table parent
 ALTER TABLE parent ALTER COLUMN a SET GENERATED BY DEFAULT;
 NOTICE:  DDL test: type simple, tag ALTER SEQUENCE
 NOTICE:  DDL test: type alter table, tag ALTER TABLE
-NOTICE:    subcommand: type SET IDENTITY desc column a of table parent
+NOTICE:    subcommand: type SET IDENTITY (and recurse) desc column a of table parent
 ALTER TABLE parent ALTER COLUMN a DROP IDENTITY;
 NOTICE:  DDL test: type alter table, tag ALTER TABLE
-NOTICE:    subcommand: type DROP IDENTITY desc column a of table parent
+NOTICE:    subcommand: type DROP IDENTITY (and recurse) desc column a of table parent
 ALTER TABLE parent ALTER COLUMN a SET STATISTICS 100;
 NOTICE:  DDL test: type alter table, tag ALTER TABLE
 NOTICE:    subcommand: type SET STATS desc column a of table parent
-- 
2.25.1

